Summary: English-Hungarian, Hungarian-English dictionary
Summary(hu): Magyar-Angol, Angol-Magyar sztr
Name: gtkdict
Version: 0.3.6
Release: 3
Vendor: Safranka Tams <gtkdict@extra.hu>
URL: http://www.extra.hu/GtkDict
License: GPL
Group: Applications/Productivity
Source0: http://www.extra.hu/GtkDict/files/gtkdict-%{version}.src.tar.bz2
Source1: http://www.extra.hu/GtkDict/files/angol_to_torzs.tar.bz2
Source2: http://www.extra.hu/GtkDict/files/angol_torzs.tar.bz2
Source3: http://www.extra.hu/GtkDict/files/magyar_torzs.tar.bz2
Source4: http://www.extra.hu/GtkDict/files/ang_szotar.dat.bz2
Source5: http://www.extra.hu/GtkDict/files/hun_szotar.dat.bz2
Source6: http://www.extra.hu/GtkDict/files/Makefile
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gtkdict-data

%description
GtkDict is a graphichal English-Hungarian, Hungarian-English
dictrionary for Linux. The original database comes from dictionary of
Vony Attila (http://almos.vein.hu/~vonyoa/SZOTAR.HTM).

%description -l hu
A GtkDict egy grafikus Magyar-Angol, Angol-Magyar sztrprogram
Linuxhoz. Az adatbzis Vony Attila sztrbl
(http://almos.vein.hu/~vonyoa/SZOTAR.HTM) kszlt. 

%package data
Summary: Datafiles for GtkDict
Summary(hu): Adatfjlok a GtkDict programhoz
Group: Applications/Productivity

%description data
Datafiles for GtkDict

%description -l hu data
Adatfjlok a GtkDict programhoz

%prep
%setup -c
mkdir data
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} data
cp %{SOURCE6} .

%build
make \
	"INSTALLDIR=%{_bindir}/" \
	"DATADIR=%{_datadir}/" \
	"CFLAGS=${RPM_OPT_FLAGS} -o " \
	linux

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
make \
	"INSTALLDIR=%{buildroot}%{_bindir}/" \
	"DATADIR=%{buildroot}%{_datadir}/" \
	install install-data

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(0755, root, root) %{_bindir}/gtkdict

%files data
%defattr(0644, root, root, 0755)
%{_datadir}/gtkdict
